API Reference
Invites
Authorization
apiKey AuthorizationBearer <token>
Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/invites"{ "invites": [ { "id": "string", "email": "user@example.com", "role": "admin", "expiresAt": "2019-08-24T14:15:22Z" } ]}Authorization
apiKey AuthorizationBearer <token>
Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/invites" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com" }'{ "invite": { "id": "string", "email": "user@example.com", "role": "admin", "url": "http://example.com" }}Authorization
apiKey AuthorizationBearer <token>
Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Path Parameters
id*string
Invite id
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/invites/string"{ "ok": true}